import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class TarotContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    compoundCToken({ address, network }: ContractOpts): import("./ethers").CompoundCToken;
    compoundComptroller({ address, network }: ContractOpts): import("./ethers").CompoundComptroller;
    tarotBorrowable({ address, network }: ContractOpts): import("./ethers").TarotBorrowable;
    tarotFactory({ address, network }: ContractOpts): import("./ethers").TarotFactory;
    tarotSupplyVault({ address, network }: ContractOpts): import("./ethers").TarotSupplyVault;
    tarotVault({ address, network }: ContractOpts): import("./ethers").TarotVault;
}
export type { CompoundCToken } from './ethers';
export type { CompoundComptroller } from './ethers';
export type { TarotBorrowable } from './ethers';
export type { TarotFactory } from './ethers';
export type { TarotSupplyVault } from './ethers';
export type { TarotVault } from './ethers';
